Skip to content
Permalink
Branch: master
Find file Copy path
Find file Copy path
Fetching contributors…
Cannot retrieve contributors at this time
66 lines (66 sloc) 2.1 KB
{
"name": "commentswp",
"version": "1.0.0-beta",
"description": "Turn your ugly native WordPress commenting system into an attractive commenting system without using any extra services. Right inside your own website!",
"author": {
"name": "Joel James",
"url": "https://duckdev.com"
},
"license": "GPL-2.0",
"private": true,
"main": "commentswp.php",
"repository": "git+https://github.com/DuckDev/CommentsWP.git",
"keywords": [
"wordpress",
"comments",
"advanced comments",
"wp comments"
],
"scripts": {
"watch": "clear && webpack --watch --mode development",
"compile": "clear && webpack -p --progress",
"translate": "clear && grunt translate",
"makepot": "wpvuei18n makepot",
"build:pro": "grunt clean && webpack -p --progress && grunt build:pro",
"build:free": "grunt clean && webpack -p --progress && grunt build:free",
"build": "grunt clean && webpack -p --progress && grunt build:pro && grunt build:free && grunt finish"
},
"dependencies": {
"@wordpress/api-fetch": "^3.6.0",
"@wordpress/i18n": "^3.6.0",
"vue": "^2.5.2",
"vue-router": "^3.0.1"
},
"devDependencies": {
"@babel/core": "^7.7.2",
"@babel/preset-env": "^7.7.1",
"@wpmudev/shared-ui": "^2.5.2",
"autoprefixer": "^9.7.2",
"babel-loader": "^8.0.6",
"clean-webpack-plugin": "^3.0.0",
"css-loader": "^3.2.0",
"file-loader": "^4.0.0",
"grunt": "^1.0.4",
"grunt-checktextdomain": "^1.0.1",
"grunt-contrib-clean": "^2.0.0",
"grunt-contrib-compress": "^1.6.0",
"grunt-contrib-copy": "^1.0.0",
"grunt-contrib-rename": "^0.2.0",
"grunt-phpunit": "^0.3.6",
"grunt-replace": "^1.0.1",
"grunt-search": "^0.1.8",
"lodash": "^4.17.15",
"mini-css-extract-plugin": "^0.7.0",
"node-sass": "^4.13.0",
"postcss-loader": "^3.0.0",
"resolve-url-loader": "<=2.3.1",
"sass-loader": "^7.1.0",
"style-loader": "^0.23.1",
"vue-loader": "^15.7.2",
"vue-style-loader": "^4.1.2",
"vue-template-compiler": "^2.6.10",
"webpack": "^4.41.2",
"webpack-cli": "^3.3.10",
"wp-vue-i18n": "^1.1.4"
}
}
You can’t perform that action at this time.